EC-CUBEというデーターベースを作成しようと思ったら、PHPとMYSQLでバージョン縛りがあったので、さくらインターネトのサーバーに問い合わせたところ、今のデーターベース(このブログ)を削除を削除しないとインストール出来ないって事が判明。
削除後にインストールしようと思ったのですが、入らない!

まず、最新のバーション(Nucleus 3.64)がインストールできない!
これはインストーラーに問題があったみたい。このこの事に気付くまで数日を要しました・・・。

これまでしっかりフォーラムを見たことがなかったので、この際集中してあれこれ読破&検証。サーバー(さくらインターネット)に問題があったのか?
install.sqlを入れ替える事によりやっとインストール完了。
http://japan.nucleuscms.org/bb/viewtopic.php?f=3&t=4891&p=27088&hilit=install+sql#p27088

今度は、リストアしたデーターが入らない・・・。
何度も試すが、ffftpでアップロードする時間が膨大に必要になる為、自分のパソコンにローカル設定をしました。
xampp-win32-1.7.7-VC9
 PHP Version: 5.3.8
 MySQL: 5.5.16
をインストール
----------(・A・)---------
この際学んだ事
ポート80skypeが使っていたという問題についてから、言語ファイルのことまで
http://d.hatena.ne.jp/saya_fujitani/20090113

xamppの設定(PHP5からPHP4への変更も有り)
http://shiotani.cn/20080516xamppsetting.html

xammpのインストール手順。
http://takapop2ch.blog103.fc2.com/blog-entry-3.html
----------(・A・)---------
しかし、これもしっくり行かない。
しょうがないので以前のバージョンを探して
xampp-win32-1.6.0a
 PHP Version: 5.2.1
 MySQL: 5.0.33
に入れなおす。
◆*:;:*◇*:;:*(゜∀゜)*:;:*◇*:;:*◆
この際、学んだ事
XAMPPの過去のバージョン
http://blog.mufu.jp/2009/08/xampp.html
◆*:;:*◇*:;:*(゜∀゜)*:;:*◇*:;:*◆

これでやっとNucleusがインストールできるようになりましたが、
文字化けで見れない・・・。



しょうがないので過去のバージョン(3.41)を入れて、リストア。途中、過去のバックアップよりプラグインを入れ替え文字化けの解消。そしてアップグレードを試すが、うまくいかない。そして今に至る。

文字化け問題
http://japan.nucleuscms.org/item/216

現状
サクラインターネットで3.64をインストール、リストアするとadminMysqlのデーターベース自体が消えてしまう為、設置のみ。
別のサーバーに3.41で作成したNucleusにリストしてリンクで飛ばしています。
もう少し修正を進めて完全回復を図りたいと思っていますが・・・。

しかし以前と比べデーターベースに相当詳しくなりました。
これはでかい収穫だな。



blogram投票ボタン




All rights reserved (C) セレクトショップCREVASSECASTLE 2011